List Preferences

Use /communication-preferences to retrieve communication preferences associated with your account.


URI

GET /api/v1/customers/{eZpayID}/communication-preferences

Headers

Parameter Mandatory Data Type Allowed Values Description
Request-Tracking-Id Y String Unique Identifier for each request
Authorization Y String Access token
ClientId Y String Will be provided by WM
Accept N String application/json or application/xml Default is application/json

Request Parameters

Pass the following parameters in the request.

Parameter Mandatory Data Type Type Description
customerId Y Number path Unique Customer Identifier

Response Fields

Parameter Data Type Description
category String Preference category (Service Notification, Service Exception)
is_category_enabled String Set to "Y" or "N"
channels Object The Channels details
name String Channel(Text,Email,Voice)
is_opt_in String Set to "Y" or "N"
selections Object The selections details
value String Email or Phone Number depending on selection type
type String Selection type gives type of selection (Ex. Billing Mobile,Service Email)
audit_info Object Contains audit info
created_by String Preference Created By
created_date_time String Timestamp of when the preference was created
modified_by String Preference Modified By
modified_date_time String Timestamp of when the preference was modified

Tip

For information about how to test, see How To Test

Sample Request

https://api.wm.com/v1/customers/123456789/communication-preferences

Sample Response

{  "request_tracking_id": "12"  "preferences": [    {      "category": "Service Notification",      "is_category_enabled": "Y",      "channels": [        {          "name": "Email",          "is_opt_in": "Y",          "selections": [            {              "value": "john@wm.com",              "type": "BEMAIL",              "is_opt_in": "Y",              "audit_info": {                "created_by": "ljohn",                "created_date_time": "2015-06-08 10:11:49.0",                "modified_by": "lmercer",                "modified_date_time": "2015-06-08 10:30:49.0"              }            },            {              "value": "abc@wm.com",              "type": "SEMAIL",              "is_opt_in": "Y",              "audit_info": {                "created_by": "ljohn",                "created_date_time": "2015-06-08 10:11:49.0",                "modified_by": "ljohn",                "modified_date_time": "2015-06-08 10:30:49.0"              }            }          ],          "options": [            {              "value": "john@wm.com",              "type": "BEMAIL"            },            {              "value": "abc@wm.com",              "type": "SEMAIL"            }          ]        },        {          "name": "Text",          "is_opt_in": "Y",          "selections": [            {              "value": "1234561234",              "type": "BMOBILE",              "is_opt_in": "Y",              "audit_info": {                "created_by": "ljohn",                "created_date_time": "2015-06-08 10:11:49.0",                "modified_by": "ljohn",                "modified_date_time": "2015-06-08 10:30:49.0"              }            }          ],          "options": [            {              "value": "1234561234",              "type": "BMOBILE"            },            {              "value": "4567891231",              "type": "SMOBILE"            },            {              "value": "2343453456",              "type": "BPHONE"            },            {              "value": "3445678540",              "type": "SPHONE"            }          ]        }      ]    }  ]}